import * as react from 'react';
import { CSSProperties } from 'react';
import { EChartsOption, EChartsInitOpts, EChartsType } from 'echarts';
import { SetOptionOpts } from 'echarts/core';

interface ReactChartProps {
    echarts?: any;
    option?: EChartsOption;
    initOps?: EChartsInitOpts;
    setOptionOps?: SetOptionOpts;
    theme?: string | Record<string, any>;
    loading?: boolean;
    autoResize?: boolean;
    className?: string;
    style?: CSSProperties;
    onChartReady?: (instance: EChartsType) => void;
}
interface ReactChartRef {
    instance: EChartsType | null;
    chartRef: HTMLDivElement | null;
    resize: () => void;
    setOption: () => void;
}
/**
 * This component is a wrapper of echarts, which is used to render the chart in react.
 *
 * NOTE: Still have some problems need to be solved.
 * - The animation in resize option is required, otherwise the chart will not resize with animation.
 * - Warning: [Violation] Added non-passive event listener to a scroll-blocking <some> event. Consider marking event handler as 'passive' to make the page more responsive.
 * @see https://github.com/apache/echarts/issues/18255
 */
declare const ReactChart: react.ForwardRefExoticComponent<ReactChartProps & react.RefAttributes<ReactChartRef>>;

export { ReactChart, type ReactChartProps, type ReactChartRef };
